Index: test/edu/ucsb/nceas/metacattest/AccessControlTest.java
===================================================================
--- test/edu/ucsb/nceas/metacattest/AccessControlTest.java	(revision 4507)
+++ test/edu/ucsb/nceas/metacattest/AccessControlTest.java	(revision 4508)
@@ -2100,17 +1817,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
 			// succeed to update this document
-			updateDocid(newdocid + ".11", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".11", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".12", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".12", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".12", FAILURE, true);
+			deleteDocumentId(newdocid + ".12", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -2136,7 +1853,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".13", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".13", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -2144,17 +1861,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".13", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".13", testdocument, SUCCESS, false);
 			// fails to update this document
-			updateDocid(newdocid + ".14", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".14", testdocument, FAILURE, true);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".14", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".14", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".13", FAILURE, true);
+			deleteDocumentId(newdocid + ".13", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -2180,7 +1897,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".14", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".14", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -2188,17 +1905,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".15", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".15", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".16", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".16", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".15", FAILURE, true);
+			deleteDocumentId(newdocid + ".15", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -2223,7 +1940,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".16", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".16", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -2231,22 +1948,22 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".16", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".16", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".17", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".17", testdocument, SUCCESS, false);
 			// succeeds to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true, true,
 							true, true), null, null, null, null);
-			updateDocid(newdocid + ".18", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".18", testdocument, SUCCESS, false);
 			// succeeds to delete the document
-			deleteDocid(newdocid + ".18", SUCCESS, false);
+			deleteDocumentId(newdocid + ".18", SUCCESS, false);
 			// logout
 			debug("logging out");
 			m.logout();
 
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 			// ====9 The user updates this documents with access rules
 			// (denyFirst) - allow READ and WRITE
 			// rule for another user, deny WRITE rule for a group
@@ -2268,7 +1985,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -2276,17 +1993,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeed to read this document
-			readDocidWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".1", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".20", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".20", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".21", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".21", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".20", FAILURE, true);
+			deleteDocumentId(newdocid + ".20", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -2312,7 +2029,7 @@
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			updateDocid(newdocid + ".21", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".21", testdocument, SUCCESS, false);
 			debug("logging out");
 			m.logout();
 			// login as another user
@@ -2320,17 +2037,17 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			// succeeds to read this document
-			readDocidWhichEqualsDoc(newdocid + ".21", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".21", testdocument, SUCCESS, false);
 			// succeeds to update this document
-			updateDocid(newdocid + ".22", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".22", testdocument, SUCCESS, false);
 			// fails to update access part
 			testdocument = getTestEmlDoc(
 					"Testing user can not read, write and delete a document", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".23", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".23", testdocument, FAILURE, true);
 			// fails to delete the document
-			deleteDocid(newdocid + ".22", FAILURE, true);
+			deleteDocumentId(newdocid + ".22", FAILURE, true);
 			// logout
 			debug("logging out");
 			m.logout();
@@ -2358,7 +2075,7 @@
 			debug("\nRunning: document201Test()");
 			String emlVersion = EML2_0_1;
 
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
@@ -2369,21 +2086,21 @@
 					+ "<dataset scope=\"document\"><title>submitting eml200</title>"
 					+ testEmlCreatorBlock + testEmlContactBlock + "</dataset></eml:eml>";
 
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 
 			// read the document
-			readDocidWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
 
 			// update it with 2.0.1 document
 			testdocument = getTestEmlDoc("Updating eml200 with eml201", emlVersion, null,
 					null, null, null, null, null, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".2", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
 
 			debug("logging out");
 			m.logout();
 
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
@@ -2392,17 +2109,17 @@
 			// insert a document
 			testdocument = getTestEmlDoc("Testing insert", emlVersion, null, null, null,
 					null, null, null, null, null, null);
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 
 			// read the document
-			readDocidWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
 
 			// update the document
 			testdocument = getTestEmlDoc("Testing update", emlVersion, null, null, null,
 					null, null, null, null, null, null);
 			Thread.sleep(10000);
-			updateDocid(newdocid + ".2", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".2", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
 
 			// ///////////////////////////
 			// check what the another user can do
@@ -2414,9 +2131,9 @@
 
 			// check if the user mentioned is able to read/update/delete the
 			// document
-			readDocidWhichEqualsDoc(newdocid + ".2", testdocument, FAILURE, true);
-			updateDocid(newdocid + ".3", testdocument, FAILURE, true);
-			deleteDocid(newdocid + ".2", FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".2", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".3", testdocument, FAILURE, true);
+			deleteDocumentId(newdocid + ".2", FAILURE, true);
 
 			// ///////////////////////////
 			// update the document access control - read only
@@ -2428,8 +2145,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, true, false,
 							false, false), null, null, null, null);
-			updateDocid(newdocid + ".3", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".3", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".3", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".3", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2438,22 +2155,22 @@
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
 			debug(testdocument);
-			readDocidWhichEqualsDoc(newdocid + ".3", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".3", testdocument, SUCCESS, false);
 
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".4", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".4", testdocument, FAILURE, true);
 
 			// or the permissions
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							false, true), null, null, null, null);
-			updateDocid(newdocid + ".4", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".4", testdocument, FAILURE, true);
 
 			// or delete the document
-			deleteDocid(newdocid + ".3", FAILURE, true);
+			deleteDocumentId(newdocid + ".3", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2465,8 +2182,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, true,
 							false, false), null, null, null, null);
-			updateDocid(newdocid + ".4", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".4", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".4", testdocument, SUCCESS, false);
 			// System.out.println(testdocument);
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2474,22 +2191,22 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".4", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".4", testdocument, FAILURE, true);
 
 			// should be able to update the document
 
 			// System.out.println(testdocument);
-			updateDocid(newdocid + ".5", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".5", testdocument, SUCCESS, false);
 
 			// but not the permissions
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, true,
 							false, true), null, null, null, null);
-			updateDocid(newdocid + ".6", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".6", testdocument, FAILURE, true);
 
 			// try to delete the document
-			deleteDocid(newdocid + ".5", FAILURE, true);
-			// deleteDocid(newdocid + ".4", FAILURE, true);
+			deleteDocumentId(newdocid + ".5", FAILURE, true);
+			// deleteDocumentId(newdocid + ".4", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2501,8 +2218,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							true, false), null, null, null, null);
-			updateDocid(newdocid + ".6", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".6", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".6", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".6", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2510,13 +2227,13 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".6", testdocument, FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".6", testdocument, FAILURE, true);
 
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, true, false), null, null, null, null);
-			updateDocid(newdocid + ".7", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".7", testdocument, FAILURE, true);
 
 			// but can chg the permissions
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
@@ -2523,11 +2240,11 @@
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							false, true), null, null, null, null);
 			// ERRRRRRRROR
-			// updateDocid(newdocid + ".7", testdocument, SUCCESS, false);
+			// updateDocumentId(newdocid + ".7", testdocument, SUCCESS, false);
 
 			// try to delete the document
-			// deleteDocid(newdocid + ".7", FAILURE, true);
-			deleteDocid(newdocid + ".6", FAILURE, true);
+			// deleteDocumentId(newdocid + ".7", FAILURE, true);
+			deleteDocumentId(newdocid + ".6", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2539,8 +2256,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, true, true,
 							false, false), null, null, null, null);
-			updateDocid(newdocid + ".8", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".8", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".8", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".8", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2548,19 +2265,19 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".8", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".8", testdocument, SUCCESS, false);
 
 			// should be able to update the document
-			updateDocid(newdocid + ".9", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".9", testdocument, SUCCESS, false);
 
 			// but cant chg the permissions
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							false, true), null, null, null, null);
-			updateDocid(newdocid + ".10", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".10", testdocument, FAILURE, true);
 
 			// try to delete the document
-			deleteDocid(newdocid + ".9", FAILURE, true);
+			deleteDocumentId(newdocid + ".9", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2572,8 +2289,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, true, false,
 							true, false), null, null, null, null);
-			updateDocid(newdocid + ".10", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".10", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2581,22 +2298,22 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".10", testdocument, SUCCESS, false);
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, true, false), null, null, null, null);
-			updateDocid(newdocid + ".11", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".11", testdocument, FAILURE, true);
 
 			// but can chg the permissions
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							false, true), null, null, null, null);
-			// updateDocid(newdocid + ".11", testdocument, SUCCESS, false);
+			// updateDocumentId(newdocid + ".11", testdocument, SUCCESS, false);
 
 			// try to delete the document
-			// deleteDocid(newdocid + ".11", FAILURE, true);
-			deleteDocid(newdocid + ".10", FAILURE, true);
+			// deleteDocumentId(newdocid + ".11", FAILURE, true);
+			deleteDocumentId(newdocid + ".10", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2608,8 +2325,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, true, false,
 							true, false), null, null, null, null);
-			updateDocid(newdocid + ".12", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".12", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".12", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".12", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2617,23 +2334,23 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".12", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".12", testdocument, SUCCESS, false);
 
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, true, false), null, null, null, null);
-			updateDocid(newdocid + ".13", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".13", testdocument, FAILURE, true);
 			// but can chg the permissions
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, false, true), null, null, null, null);
 			// ERRRRRRRRRRRRRRRR
-			// updateDocid(newdocid + ".13", testdocument, SUCCESS, false);
+			// updateDocumentId(newdocid + ".13", testdocument, SUCCESS, false);
 
 			// try to delete the document
-			// deleteDocid(newdocid + ".13", FAILURE, true);
-			deleteDocid(newdocid + ".12", FAILURE, true);
+			// deleteDocumentId(newdocid + ".13", FAILURE, true);
+			deleteDocumentId(newdocid + ".12", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2645,8 +2362,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, true, true, true,
 							false), null, null, null, null);
-			updateDocid(newdocid + ".14", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".14", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2654,24 +2371,24 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".14", testdocument, SUCCESS, false);
 
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, false, true), null, null, null, null);
-			updateDocid(newdocid + ".15", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".15", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".15", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".15", testdocument, SUCCESS, false);
 
 			// but can chg the permissions
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".16", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".16", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".16", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".16", testdocument, SUCCESS, false);
 
 			// try to delete the document
-			deleteDocid(newdocid + ".16", FAILURE, true);
+			deleteDocumentId(newdocid + ".16", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2683,8 +2400,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, false, false,
 							false, true), null, null, null, null);
-			updateDocid(newdocid + ".17", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".17", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".17", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".17", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
@@ -2692,24 +2409,24 @@
 			debug("logging in as: anotheruser=" + anotheruser + " anotherpassword="
 					+ anotherpassword);
 			m.login(anotheruser, anotherpassword);
-			readDocidWhichEqualsDoc(newdocid + ".17", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".17", testdocument, SUCCESS, false);
 
 			// should not be able to update the document
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, false,
 							false, false, true), null, null, null, null);
-			updateDocid(newdocid + ".18", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".18", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".18", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".18", testdocument, SUCCESS, false);
 
 			// but can chg the permissions
 			testdocument = getTestEmlDoc("Testing update from another user", emlVersion,
 					null, null, null, null, getAccessBlock(anotheruser, true, true,
 							false, false, false), null, null, null, null);
-			updateDocid(newdocid + ".19", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".19", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".19", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".19", testdocument, SUCCESS, false);
 
 			// try to delete the document
-			deleteDocid(newdocid + ".19", FAILURE, true);
+			deleteDocumentId(newdocid + ".19", FAILURE, true);
 
 			debug("logging out");
 			m.logout();
@@ -2717,7 +2434,7 @@
 			// delete the document
 			debug("logging in as: username=" + username + " password=" + password);
 			m.login(username, password);
-			deleteDocid(newdocid + ".19", SUCCESS, false);
+			deleteDocumentId(newdocid + ".19", SUCCESS, false);
 			debug("logging out");
 			m.logout();
 		} catch (MetacatAuthException mae) {
@@ -2745,7 +2462,7 @@
 			debug("\nRunning: document210Test()");
 			String emlVersion = EML2_1_0;
 
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
@@ -2756,27 +2473,27 @@
 					+ "<dataset scope=\"document\"><title>submitting eml200</title>"
 					+ testEmlCreatorBlock + testEmlContactBlock + "</dataset></eml:eml>";
 
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 
 			// read the document
-			readDocidWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
 
 			// update it with 2.0.1 document
 			testdocument = getTestEmlDoc("Updating eml200 with eml201", EML2_0_1, null,
 					null, null, null, null, null, null, null, null);
-			updateDocid(newdocid + ".2", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".2", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
 
 			// update it with 2.1.0 document
 			testdocument = getTestEmlDoc("Updating eml201 with eml210", emlVersion, null,
 					null, null, null, null, null, null, null, null);
-			updateDocid(newdocid + ".3", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".3", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
 
 			debug("logging out");
 			m.logout();
 
-			newdocid = generateDocid();
+			newdocid = generateDocumentId();
 
 			// login
 			debug("logging in as: username=" + username + " password=" + password);
@@ -2785,17 +2502,17 @@
 			// insert a document
 			testdocument = getTestEmlDoc("Testing insert", emlVersion, null, null, null,
 					null, null, null, null, null, null);
-			insertDocid(newdocid + ".1", testdocument, SUCCESS, false);
+			insertDocumentId(newdocid + ".1", testdocument, SUCCESS, false);
 
 			// read the document
-			readDocidWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
 
 			// update the document
 			testdocument = getTestEmlDoc("Testing update", emlVersion, null, null, null,
 					null, null, null, null, null, null);
 			Thread.sleep(10000);
-			updateDocid(newdocid + ".2", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".2", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid, testdocument, SUCCESS, false);
 
 			// ///////////////////////////
 			// check what the another user can do
@@ -2807,9 +2524,9 @@
 
 			// check if the user mentioned is able to read/update/delete the
 			// document
-			readDocidWhichEqualsDoc(newdocid + ".2", testdocument, FAILURE, true);
-			updateDocid(newdocid + ".3", testdocument, FAILURE, true);
-			deleteDocid(newdocid + ".2", FAILURE, true);
+			readDocumentIdWhichEqualsDoc(newdocid + ".2", testdocument, FAILURE, true);
+			updateDocumentId(newdocid + ".3", testdocument, FAILURE, true);
+			deleteDocumentId(newdocid + ".2", FAILURE, true);
 
 			// ///////////////////////////
 			// update the document access control - read only
@@ -2821,8 +2538,8 @@
 			testdocument = getTestEmlDoc("Testing update access block", emlVersion, null,
 					null, null, null, getAccessBlock(anotheruser, true, true, false,
 							false, false), null, null, null, null);
-			updateDocid(newdocid + ".3", testdocument, SUCCESS, false);
-			readDocidWhichEqualsDoc(newdocid + ".3", testdocument, SUCCESS, false);
+			updateDocumentId(newdocid + ".3", testdocument, SUCCESS, false);
+			readDocumentIdWhichEqualsDoc(newdocid + ".3", testdocument, SUCCESS, false);
 
 			// check if the user mentioned is able to read the document
 			debug("logging out");
